<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for XSelfProvision StructType
 * @subpackage Structs
 */
class XSelfProvision extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - default: English United States
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The priority
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var int
     */
    public $priority;
    /**
     * Constructor method for XSelfProvision
     * @uses XSelfProvision::setName()
     * @uses XSelfProvision::setPriority()
     * @param string $name
     * @param int $priority
     */
    public function __construct($name = 'English United States', $priority = null)
    {
        $this
            ->setName($name)
            ->setPriority($priority);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSelfProvision
     */
    public function setName($name = 'English United States')
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get priority value
     * @return int|null
     */
    public function getPriority()
    {
        return $this->priority;
    }
    /**
     * Set priority value
     * @param int $priority
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XSelfProvision
     */
    public function setPriority($priority = null)
    {
        $this->priority = $priority;
        return $this;
    }
}
